Index: trunk/code/lib/include/libdragonfly/encoders.h
===================================================================
--- trunk/code/lib/include/libdragonfly/encoders.h	(revision 1370)
+++ trunk/code/lib/include/libdragonfly/encoders.h	(revision 1371)
@@ -20,9 +20,11 @@
 
 
 #ifndef LEFT
+	/** @brief Left wheel **/
 	#define LEFT 0
 #endif
 #ifndef RIGHT
+	/** @brief Right wheel **/
 	#define RIGHT 1
 #endif
 
@@ -33,12 +35,9 @@
 /** @brief Not enough time has passed - encoders not initialized in hardware. **/
 #define ENCODER_DATA_NOT_READY 1026
 
-//delay_ms argument after a full read is complete
+/** @brief delay_ms argument after a full read is complete **/
 #define ENCODER_DELAY 20
 
-#define MIN_V (-100)
-#define MAX_V 100
-
 //Data invalid flags (hardware failure):
 #define OCF _BV(4)
 #define COF _BV(3)
@@ -49,6 +48,7 @@
 #define MagINCn _BV(1)
 #define MagDECn _BV(0)
 
+/** @brief Buffer size **/
 #define BUFFER_SIZE 23
 
 /** @brief Initialize encoders. **/
Index: trunk/code/projects/libdragonfly/encoders.c
===================================================================
--- trunk/code/projects/libdragonfly/encoders.c	(revision 1370)
+++ trunk/code/projects/libdragonfly/encoders.c	(revision 1371)
@@ -19,10 +19,6 @@
 int right_dx;
 long int timecount;
 
-int left_v;
-int right_v;
-
-
 volatile short int data_ready;
 
 void encoder_recv(char data);
@@ -61,10 +57,6 @@
 	left_data = -1;
 	right_data = -1;
 	
-	
-	left_v=0;
-	right_v=0;
-	
 	//RING_BUFFER_INIT(enc_buffer,BUFFER_SIZE);
 	left_data_idx = 0;
 	right_data_idx = 0;
@@ -203,17 +195,11 @@
 			//Adjust left accumulator
 			dx = left_data - left_data_array_prev();
 			
-			//Adjust velocity: save last dx
-			left_v = left_dx;
-			
 			if(left_data_array_prev()==0)  dx=0;
 
 			if(dx > 512) left_dx += dx - 1023; //Underflow
 			else if(dx < -512) left_dx += dx + 1023; //Overflow
 			else left_dx += dx;
-			
-			//Adjust velocity: update
-			left_v = left_dx - left_v;
 		}
 
 		/*Above 1023 is invalid data*/	
Index: trunk/code/projects/libdragonfly/encoders.h
===================================================================
--- trunk/code/projects/libdragonfly/encoders.h	(revision 1370)
+++ trunk/code/projects/libdragonfly/encoders.h	(revision 1371)
@@ -20,9 +20,11 @@
 
 
 #ifndef LEFT
+	/** @brief Left wheel **/
 	#define LEFT 0
 #endif
 #ifndef RIGHT
+	/** @brief Right wheel **/
 	#define RIGHT 1
 #endif
 
@@ -33,12 +35,9 @@
 /** @brief Not enough time has passed - encoders not initialized in hardware. **/
 #define ENCODER_DATA_NOT_READY 1026
 
-//delay_ms argument after a full read is complete
+/** @brief delay_ms argument after a full read is complete **/
 #define ENCODER_DELAY 20
 
-#define MIN_V (-100)
-#define MAX_V 100
-
 //Data invalid flags (hardware failure):
 #define OCF _BV(4)
 #define COF _BV(3)
@@ -49,6 +48,7 @@
 #define MagINCn _BV(1)
 #define MagDECn _BV(0)
 
+/** @brief Buffer size **/
 #define BUFFER_SIZE 23
 
 /** @brief Initialize encoders. **/
